Subject: [extropy-chat] TransVision 2005 Invitation Letters

From: Jose Cordeiro <[email-masked]>
Date: Sun, 6 Mar 2005 20:48:56 -0800 (PST)

Dear transhumanist friends,
 
     Best greetings to you all and welcome to TransVision 2005, the largest transhumanist gathering in the world:
 
www.TransHumanismO.org/tv05
 
     I am enclosing here a model letter that I have been using for other people. Please, feel absolutely free to modify it according to your needs. I am using the World Future Society Venezuela as the inviting institution because it is a legally instituted and highly respected local organization, even though the World Transhumanist Association is certainly the main organizer, together with the Venezuelan Transhumanist Association (which is not yet a formal institution and is still relatively unknown). Contact me directly if you have any further questions: [email-masked]
 
     Transhumanistically yours,

La vie est belle!

Yosé (www.cordeiro.org)

Caracas, Venezuela, Americas, TerraNostra, Solar System, Milky Way, Multiverse

_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat